// @flow
import campaigns from './campaigns';
import cases from './cases';
import companies from './companies';
import contacts from './contacts';
import documents from './documents';
import folders from './folders';
import leads from './leads';
import listings from './listings';
import opportunities from './opportunities';
import properties from './properties';
import requests from './requests';
import transactions from './transactions';

export default (baseURL: string) => ({
	campaigns    : campaigns(baseURL),
	cases        : cases(baseURL),
	companies    : companies(baseURL),
	contacts     : contacts(baseURL),
	documents    : documents(baseURL),
	folders      : folders(baseURL),
	leads        : leads(baseURL),
	listings     : listings(baseURL),
	opportunities: opportunities(baseURL),
	properties   : properties(baseURL),
	requests     : requests(baseURL),
	transactions : transactions(baseURL),
});
